NotificationDefinitionParser (Mule ESB 2.2.1 API)
Keywords: org.mule.config.spring.parsers.specific.NotificationDefinitionParser class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.config.spring.parsers.specific
Class NotificationDefinitionParser

    java.lang.Object
      org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
          org.mule.config.spring.parsers.AbstractMuleBeanDefinitionParser
              org.mule.config.spring.parsers.AbstractHierarchicalDefinitionParser
                  org.mule.config.spring.parsers.AbstractChildDefinitionParser
                      org.mule.config.spring.parsers.generic.ChildDefinitionParser
                          org.mule.config.spring.parsers.collection.ChildMapEntryDefinitionParser
                              org.mule.config.spring.parsers.specific.NotificationDefinitionParser

All Implemented Interfaces:
  MuleChildDefinitionParser, MuleDefinitionParser, MuleDefinitionParserConfiguration, org.springframework.beans.factory.xml.BeanDefinitionParser

    public class NotificationDefinitionParser

extends ChildMapEntryDefinitionParser

Nested Class Summary

Nested classes/interfaces inherited from class org.mule.config.spring.parsers.collection.ChildMapEntryDefinitionParser
`ChildMapEntryDefinitionParser.KeyValuePair`

Field Summary
`static String[][]` | `ALL_ATTRIBUTES`
`static String` | `EVENT`
`static String[][]` | `EVENT_ATTRIBUTES`
`static String` | `EVENT_CLASS`
`static Map` | `EVENT_MAP`
`static String` | `INTERFACE`
`static String[][]` | `INTERFACE_ATTRIBUTES`
`static String` | `INTERFACE_CLASS`
`static Map` | `INTERFACE_MAP`

Fields inherited from class org.mule.config.spring.parsers.collection.ChildMapEntryDefinitionParser
`KEY, VALUE`

Fields inherited from class org.mule.config.spring.parsers.generic.ChildDefinitionParser
`clazz, setterMethod`

Fields inherited from class org.mule.config.spring.parsers.AbstractMuleBeanDefinitionParser
`ATTRIBUTE_CLASS, ATTRIBUTE_ID, ATTRIBUTE_NAME, ATTRIBUTE_REF, ATTRIBUTE_REF_SUFFIX, ATTRIBUTE_REFS, ATTRIBUTE_REFS_SUFFIX, beanPropertyConfiguration, logger, ROOT_ELEMENT, singleton`

Fields inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
`ID_ATTRIBUTE`

Constructor Summary
`NotificationDefinitionParser()`

Method Summary

Methods inherited from class org.mule.config.spring.parsers.generic.ChildDefinitionParser
`getBeanClass, getPropertyName, preProcess`

Methods inherited from class org.mule.config.spring.parsers.AbstractChildDefinitionParser
`doParse, getBeanName, parseChild, postProcess`

Methods inherited from class org.mule.config.spring.parsers.AbstractHierarchicalDefinitionParser
`forceParent, getBeanAssembler, getOrphanBeanAssembler, getParentBeanDefinition, getParentBeanName, getTargetPropertyConfiguration`

Methods inherited from class org.mule.config.spring.parsers.AbstractMuleBeanDefinitionParser
`addAlias, addBeanFlag, addCollection, addIgnored, addMapping, addMapping, addMapping, addReference, checkElementNameUnique, createBeanDefinitionBuilder, getBeanAssemblerFactory, getBeanClassFromAttribute, getClassConstraint, getClassInternal, getParserContext, getRegistry, isAllowClassAttribute, isSingleton, isTopLevel, muleParse, parseInternal, processProperty, registerPostProcessor, registerPreProcessor, removeIgnored, resolveId, setAllowClassAttribute, setBeanAssemblerFactory, setClassConstraint, setIgnoredDefault, setParserContext, setRegistry`

Methods inherited from class org.springframework.beans.factory.xml.AbstractBeanDefinitionParser
`parse, postProcessComponentDefinition, registerBeanDefinition, shouldFireEvents, shouldGenerateId, shouldGenerateIdAsFallback`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.mule.config.spring.parsers.MuleChildDefinitionParser
`forceParent, getTargetPropertyConfiguration`

Methods inherited from interface org.mule.config.spring.parsers.MuleDefinitionParser
`muleParse`

Methods inherited from interface org.springframework.beans.factory.xml.BeanDefinitionParser
`parse`

Methods inherited from interface org.mule.config.spring.parsers.MuleDefinitionParserConfiguration
`addAlias, addBeanFlag, addCollection, addIgnored, addMapping, addMapping, addMapping, addReference, registerPostProcessor, registerPreProcessor, removeIgnored, setIgnoredDefault`

Field Detail

### EVENT_MAP

    public static final Map EVENT_MAP

### INTERFACE_MAP

    public static final Map INTERFACE_MAP

### INTERFACE

    public static final String INTERFACE

See Also:
  Constant Field Values

### INTERFACE_CLASS

    public static final String INTERFACE_CLASS

See Also:
  Constant Field Values

### EVENT

    public static final String EVENT

See Also:
  Constant Field Values

### EVENT_CLASS

    public static final String EVENT_CLASS

See Also:
  Constant Field Values

### INTERFACE_ATTRIBUTES

    public static final String[][] INTERFACE_ATTRIBUTES

### EVENT_ATTRIBUTES

    public static final String[][] EVENT_ATTRIBUTES

### ALL_ATTRIBUTES

    public static final String[][] ALL_ATTRIBUTES

Constructor Detail

### NotificationDefinitionParser

    public NotificationDefinitionParser()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.